function [fam, bim, bed, SNP] = gen_read_data(basename)

fam = gen_read_fam([basename '.fam']);
bim = gen_read_bim([basename '.bim']);
nSubj = length(fam.IndividualID);
nSNP = length(bim.SNP);
[bed, SNP] = gen_read_bed([basename '.bed'], nSubj, nSNP);
