function fam = gen_read_fam(fname)

% fam:
% 6 columns:
%   1.  Family ID
%   2.  Individual ID (alphanumeric)
%   3.  Paternal ID
%   4.  Maternal ID
%   5.  Sex (1 = male, 2 = female, other=unknown)
%   6.  Phenotype
[fam0, ind0, pat0, mat0, sex0, phen0] = textread(fname, '%n%s%n%n%n%n');
fam.FamilyID = fam0;
fam.IndividualID = ind0;
fam.PaternalID = pat0;
fam.MaternalID = mat0;
fam.Sex = sex0;
fam.Phenotype = phen0;
