function bim = gen_read_bim(fname)

% bim:
% 6 columns:
%   1.  Chromosome
%   2.  rs# or SNP identifier
%   3.  Genetic distance
%   4.  Base-pair position
%   5.  Base 1
%   6.  Base 2
[chr0, snpid0, gd0, bp0, b1, b2] = textread(fname, '%n%s%n%n%s%s');
bim.Chromosome = chr0;
bim.SNP = snpid0;
bim.GeneticDistance = gd0;
bim.BasePairPosition = bp0;
bim.Base1 = b1;
bim.Base2 = b2;
